{ config, pkgs, ... }:

{
  security.acme.certs = {
    "gebner.org" = {
      webroot = "/var/lib/acme/acme-challenge";
      email = "gebner@gebner.org";
      extraDomainNames = [
        "git.gebner.org"
        "mail.gebner.org"
        "gebner.org"
        "www.gebner.org"
        "gabrielebner.at"
        "www.gabrielebner.at"
        "2b7e.org"
        "www.2b7e.org"
      ];

      postRun = ''
        systemctl reload nginx
        systemctl reload postfix

        (${config.systemd.services.dovecotSslKey.script})
        systemctl reload dovecot2
      '';
    };
  };

  security.acme.acceptTerms = true;

}
